#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

const float blurSize = 0.10 / 512.0;

uniform float flag;

void main()
{
  vec2 resolution = vec2(0.1,0.1);
  vec4 sum = vec4(0);
  vec2 texcoord = v_texCoord.xy;
  float intensity = (sin(CC_Time[3]) / 4.0 + 0.2) / flag;
  int j;
  int i;
  sum += texture2D(CC_Texture0, vec2(texcoord.x - 4.0*blurSize, texcoord.y)) * 0.05;
  sum += texture2D(CC_Texture0, vec2(texcoord.x - 3.0*blurSize, texcoord.y)) * 0.09;
  sum += texture2D(CC_Texture0, vec2(texcoord.x - 2.0*blurSize, texcoord.y)) * 0.12;
  sum += texture2D(CC_Texture0, vec2(texcoord.x - blurSize, texcoord.y)) * 0.15;
  sum += texture2D(CC_Texture0, vec2(texcoord.x, texcoord.y)) * 0.16;
  sum += texture2D(CC_Texture0, vec2(texcoord.x + blurSize, texcoord.y)) * 0.15;
  sum += texture2D(CC_Texture0, vec2(texcoord.x + 2.0*blurSize, texcoord.y)) * 0.12;
  sum += texture2D(CC_Texture0, vec2(texcoord.x + 3.0*blurSize, texcoord.y)) * 0.09;
  sum += texture2D(CC_Texture0, vec2(texcoord.x + 4.0*blurSize, texcoord.y)) * 0.05;

  sum += texture2D(CC_Texture0, vec2(texcoord.x, texcoord.y - 4.0*blurSize)) * 0.05;
  sum += texture2D(CC_Texture0, vec2(texcoord.x, texcoord.y - 3.0*blurSize)) * 0.09;
  sum += texture2D(CC_Texture0, vec2(texcoord.x, texcoord.y - 2.0*blurSize)) * 0.12;
  sum += texture2D(CC_Texture0, vec2(texcoord.x, texcoord.y - blurSize)) * 0.15;
  sum += texture2D(CC_Texture0, vec2(texcoord.x, texcoord.y)) * 0.16;
  sum += texture2D(CC_Texture0, vec2(texcoord.x, texcoord.y + blurSize)) * 0.15;
  sum += texture2D(CC_Texture0, vec2(texcoord.x, texcoord.y + 2.0*blurSize)) * 0.12;
  sum += texture2D(CC_Texture0, vec2(texcoord.x, texcoord.y + 3.0*blurSize)) * 0.09;
  sum += texture2D(CC_Texture0, vec2(texcoord.x, texcoord.y + 4.0*blurSize)) * 0.05;

  //increase blur with intensity!
  // gl_FragColor = sum * intensity + texture2D(CC_Texture0, texcoord);
  vec4 tColor = texture2D(CC_Texture0, texcoord);
  vec4 color =sum*intensity + tColor;
  color.a = tColor.a;
  gl_FragColor = color;

  return;

  // if(sin(iGlobalTime) > 0.0) {
  //   gl_FragColor = sum * sin(iGlobalTime)+ texture2D(iChannel0, texcoord);
  // } else {
  //   gl_FragColor = sum * -sin(iGlobalTime)+ texture2D(iChannel0, texcoord);
  // }
}

