#ifdef GL_ES
precision mediump float;
#endif


varying vec4 v_fragmentColor;
varying vec2 v_texCoord;



vec4 blur(vec2);

void main(void)
{
	vec4 col = blur(vec2(v_texCoord.x,v_texCoord.y));
	vec4 tex = texture2D(CC_Texture0, vec2(v_texCoord.x , v_texCoord.y));
	vec3 rgb = mix(col.rgb,tex.rgb,1.0);
	col.r = col.r;
	//if(tex.a == 0){
		//rgb = col.rgb;
	//} 
	if(col.a == 0.0){
		rgb = tex.rgb;
	}
	gl_FragColor = v_fragmentColor*vec4(rgb,tex.a+col.a); 
}

vec4 blur(vec2 p)
{
	 vec2 resolution = vec2(150.0,150.0);
	 float blurRadius = 4.0;
	 float sampleNum = 20.5;
    if (blurRadius > 0.0 && sampleNum > 1.0)
    {
        vec4 col = vec4(0);
        vec2 unit = 1.0 / resolution.xy;
        
        float r = blurRadius;
        float sampleStep = r / sampleNum;
        
        float count = 0.0;
        
        for(float x = -r; x < r; x += sampleStep)
        {
            for(float y = -r; y < r; y += sampleStep)
            {
                float weight = (r - abs(x)) * (r - abs(y));
                col += texture2D(CC_Texture0, p + vec2(x * unit.x, y * unit.y)).rgba * weight;
                count += weight;
            }
        }
        vec4 ccc = col/count;
        ccc.gb = ccc.gb;
        return ccc;
    }
    
    return texture2D(CC_Texture0, p).rgba;
}
